Highlighted
Absent Member.. Absent Member..
Absent Member..
214 views

UCMDB Support Tip: Cannot install Data Flow Probe 10.10. PostgreSQL error

In the event you encounter the following error messages during an install attached in zip file, and tried both 😧 volume and C: volume installs, and having failed on both. 

Contents of probe_setup.log: Running C:\\hp\\UCMDB\\DataFlowProbe\\tools\\dbscripts\\createProbeDBs.cmd at ... psql: could not connect to server: Connection refused (0x0000274D/10061)  is the server running on host "localhost" (::1) and accepting TCP/IP connections on port 5432? Could not connect to server: Connection refused (0x0000274D/10061) is the server running on host "localhost" (127.0.0.1) and accepting TCP/IP connections on port 5432?

...

 

As a workaround, it is suggested to manually add the user on security tab for D drive and gave full permission. To allow uCMDB 10.10 probe install.

"HP Support
If you find this or any post resolves your issue, please be sure to mark it as an accepted solution."

Click the KUDOS star on the left to say 'Thanks'
Labels (1)
Tags (1)
0 Likes
1 Reply
Highlighted
Valued Contributor.. Valued Contributor..
Valued Contributor..

Re: UCMDB Support Tip: Cannot install Data Flow Probe 10.10. PostgreSQL error

The problem seems to occur because of the PostGreSQL installer is not launched with admin privs.  The master installer runs as admin, but when it calls the PostGreSQL installer for some reason it is without admin.

 

In previous versions the MySQL installer ran in admin and had no problem.

 

We have run restricted permissions on our Windows servers for some years.  It is a security recommendation, especially where everything runs as a service under the Windows service ID.  Recommending full access to users sidesteps what is becomming a standard for enterprise security.  In other words, it is NOT a solution, just a workaround, and one that leaves the server out of compliance with increasingly strict data security standards.

 

HP needs to find a way to resolve the installer process so that either the PostGreSQL installer runs with admin rights or that the minimum required directory perms are automatically configured and later revoked if possible.  It worked under versions that used MySQL, and should work with the newer versions with PostGreSQL, and not with a "fix" that steps backwards from security.

 

 

Thanks!

sh

 

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.